System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 This class is not thread safe. System.Object System.Xml.XPath.IXPathNavigable Represents an XML document and provides a read access to the document navigator.

This class implements IXPathNavigable interface and class provides a fast and readonly access to the document through .

There are two IXPathNavigable implementations in System.Xml.dll. One is XmlDocument and it creates the XPathNavigator that is based on its own Document Object Model. XPathDocument is the another one and it creates the XPathNavigator that is readonly and optimized to navigate the document.

Note: XmlDocument's XPathNavigator is many times slower than that of this class when it is used to navigate previous siblings.

To create compatible XPathNavigator to that of XmlDocument, XmlValidatingReader is required to create the internal document structure from source (otherwise, no ID type attributes are recognized and thus method will result in different navigation). When an XPathDocument is constructed from URI string or Stream, it creates XmlValidatingReader.

Note: In contrast, using XmlTextReader instead of URI string, Stream, or TextReader enables performance boost, since XmlValidatingReader is slower than XmlTextReader.

To keep whitespace nodes in the document, is required in the constructor (to keep compatibility with XPathDocument, must be set to true.

- Constructor
  A instance to be used as the input XML.
  Creates a new instance of this class, validating the input document and disregarding whitespace nodes.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  A instance to be used as the input XML.
  Creates a new instance of this class, disregarding whitespace nodes.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  A string that represents the URI for the input XML.
  Creates a new instance of this class, validating the input document and disregarding whitespace nodes.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  An instance to be used as the input XML.
  Creates a new instance of this class, disregarding whitespace nodes.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  A value that indicates whitespace handling.
  Creates a new instance of this class, with specified whitespace handling, validating the document.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  An instance to be used as the input XML.
  A value that indicates whitespace handling.
  Creates a new instance of this class, with specific whitespace handling.

  To support ID type attributes with this constructor, the input reader must be that provides Datatype.

  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XPath.XPathNavigator Creates an instance of the supported by this class. The instance created by this class.

  This class returns a faster and read-only XPathNavigator implementation. The returned XPathNavigator always point to XPath Root node, the document itself (see ).

  Technically, the XPathNavigator implementation is designed to represent the document as indexed node tree structure.

  1.0.5000.0
  2.0.0.0